Subject: bug#28350: enriched.el code execution

From: Eli Zaretskii <[email-masked]>
Date: Thu, 07 Sep 2017 05:34:34 +0300

> Date: Wed, 06 Sep 2017 21:25:18 +0200
> From: [email-masked] (Charles A. Roelli)
> 
> As for a fix to apply to master: I'd like to keep "x-display" if we
> can agree on some "safe" predicate that the given parameter would have
> to satisfy.  Looking at the list of display specifications that are
> available, it seems that simple string, margin text, space-width,
> height (only in the (+ n), (- n) and n cases) and raise specifications
> should be okay.  Does anybody else have an opinion about this?

I agree that the cases you have shown are safe.

Thanks.